Click here to Skip to main content
15,921,660 members
Please Sign up or sign in to vote.
0.00/5 (No votes)
See more:
Hi all,

I have been getting the "runtime error: RuntimeError: Neither firefox and geckodriver nor a variant of chromedriver are available on system PATH. You can install the former with 'conda install -c conda-forge firefox geckodriver'." This is when I run a code to export png in Databricks notebook

I have installed geckodriver using this code: %sh conda install firefox geckodriver -c conda- forge--yes.

I have also installed bokeh as: %sh /databricks/python/bin/pip install slackclient==1.0.7 bokeh selenium.

These installs and the code to export png were working fine with 6.5 ML runtime version but we don't have that runtime version anymore. so, I switched to 6.4ML version which was working fine but then started giving me the error. I have tried using other ML runtime versions: 7.4 ML, 7.4 ML, and 7.6 ML. Nothing works.

Any help will be highly appreciated! Thanks!

What I have tried:

These installs and the code to export png were working fine with 6.5 ML runtime version but we don't have that runtime version anymore. so, I switched to 6.4ML version which was working fine but then started giving me the error. I have tried using other ML runtime versions: 7.4 ML, 7.4 ML, and 7.6 ML. Nothing works.
Posted

This content, along with any associated source code and files, is licensed under The Code Project Open License (CPOL)



CodeProject, 20 Bay Street, 11th Floor Toronto, Ontario, Canada M5J 2N8 +1 (416) 849-8900